SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_SetReadedNews]') and xtype = N'P')
drop procedure [dbo].[sp_SetReadedNews]
GO

CREATE PROCEDURE [dbo].[sp_SetReadedNews]
 @Id uniqueidentifier
 ,@Type varchar(20)
AS
BEGIN
 SET NOCOUNT ON;

DELETE FROM VCLib.T_NEWS_BOX_LINK_USERS
WHERE VCLib.T_NEWS_BOX_LINK_USERS.NewsBoxLinkUsersID = @Id

END